Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_PrivateConnectionPolicy Class Reference

RTCORBA::PrivateConnectionPolicy implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_PrivateConnectionPolicy:

[legend]
Collaboration diagram for TAO_PrivateConnectionPolicy:

[legend]
List of all members.

## Public Methods
| TAO_PrivateConnectionPolicy (void)
| Constructor.
| TAO_PrivateConnectionPolicy (const TAO_PrivateConnectionPolicy &rhs)
| Copy constructor.
CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
TAO_Cached_Policy_Type | _tao_cached_type (void) const
TAO_Policy_Scope | _tao_scope (void) const
## Static Public Methods
CORBA::Policy_ptr | create (const CORBA::Any &val ACE_ENV_ARG_DECL)
## Protected Methods
virtual | ~TAO_PrivateConnectionPolicy (void)

## Detailed Description

RTCORBA::PrivateConnectionPolicy implementation.

This policy controls whether the transport connection for the Object is private, i.e., not available for carrying out invocations on other objects.

## Constructor & Destructor Documentation

TAO_PrivateConnectionPolicy::TAO_PrivateConnectionPolicy | ( | void |  | ) |

| Constructor.

TAO_PrivateConnectionPolicy::TAO_PrivateConnectionPolicy | ( | const TAO_PrivateConnectionPolicy & | rhs | ) |

| Copy constructor.

TAO_PrivateConnectionPolicy::~TAO_PrivateConnectionPolicy | ( | void |  | ) | `[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

## Member Function Documentation

TAO_Cached_Policy_Type TAO_PrivateConnectionPolicy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

TAO_Policy_Scope TAO_PrivateConnectionPolicy::_tao_scope | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_PrivateConnectionPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

| Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_PrivateConnectionPolicy::create | ( | const CORBA::Any &val | ACE_ENV_ARG_DECL | ) | `[static]`

| Helper method for the implementation of CORBA::ORB::create_policy.

void TAO_PrivateConnectionPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::PolicyType TAO_PrivateConnectionPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp